# lubuntu-connection-editor - A simple application for creating, removing, and modifying NetworkManager connections

This is a straightforward-as-possible Qt reimplmentation of the nm-connection-editor tool from GNOME. It uses NetworkManagerQt (from the KDE project) behind the scenes to do all the heavy lifting.

THIS PROJECT IS IN EARLY ALPHA. It may crash or eat your computer, so treat it with caution.

Some code has been copied and adapted from the plasma-nm project.

## Build instructions

    sudo apt build-dep lubuntu-connection-editor
    mkdir build
    cd build
    cmake ..
    make -j$(nproc)

Do not use `sudo make install` - this will bypass the apt package manager and possibly cause trouble. Instead, package this for your distribution following the guidelines and best practices of that distro. If building for Ubuntu, we recommend using either `debuild` (if working on Ubuntu packages is something you do rarely and you want something that's quick to set up) or `sbuild` (if you need to build packages all the time).

## License and Copyright

Copyright (c) 2023 Lubuntu Contributors. Licensed under the GNU General Public License version 3 or any later version (GPL-3.0-or-later). This notice applies to all files in this repository.
