#ifndef ETHERNETSETTINGSTAB_H
#define ETHERNETSETTINGSTAB_H

#include "connectionsettingsengine.h"
#include <QWidget>

namespace Ui {
class EthernetSettingsTab;
}

class EthernetSettingsTab : public QWidget
{
    Q_OBJECT

public:
    explicit EthernetSettingsTab(QWidget *parent = nullptr);
    ~EthernetSettingsTab();

    QVariantMap readSettings();
    void loadSettings(QVariantMap settings);

private slots:
    void onLinkNegotiationChanged(int index);

private:
    Ui::EthernetSettingsTab *ui;
};

#endif // ETHERNETSETTINGSTAB_H
